package com.ruoyi.system.mapper;

import com.ruoyi.common.core.domain.entity.UserHistory;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 用户播放历史Mapper接口
 * 
 * @author ruoyi
 * @date 2025-07-15
 */
public interface UserHistoryMapper 
{
    /**
     * 查询用户播放历史
     * 
     * @param id 用户播放历史主键
     * @return 用户播放历史
     */
    public UserHistory selectUserHistoryById(String id);

    /**
     * 查询用户播放历史列表
     * 
     * @param userHistory 用户播放历史
     * @return 用户播放历史集合
     */
    public List<UserHistory> selectUserHistoryList(UserHistory userHistory);

    /**
     * 新增用户播放历史
     * 
     * @param userHistory 用户播放历史
     * @return 结果
     */
    public int insertUserHistory(UserHistory userHistory);

    /**
     * 修改用户播放历史
     * 
     * @param userHistory 用户播放历史
     * @return 结果
     */
    public int updateUserHistory(UserHistory userHistory);

    /**
     * 删除用户播放历史
     * 
     * @param id 用户播放历史主键
     * @return 结果
     */
    public int deleteUserHistoryById(String id);

    /**
     * 批量删除用户播放历史
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteUserHistoryByIds(String[] ids);

    int deleteUserHistoryByMusicId(@Param("musicIds") String[] musicIds,@Param("userId") Long userId);
}
